> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hiringbranch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get score of candidates

> GET /v1/score



## OpenAPI

````yaml GET /v1/score
openapi: 3.0.1
info:
  title: Connect Api
  version: '1.0'
servers:
  - url: https://api.hiringbranch.com/connect
security:
  - ApiKey: []
paths:
  /v1/score:
    get:
      tags:
        - Score
      summary: Get the score of on or multiple candidates
      description: GET /v1/score
      parameters:
        - name: instance
          in: header
          description: Name of the instance
          schema:
            type: string
        - name: candidateIds
          in: query
          description: List of candidate ids separated by comma
          schema:
            type: string
          example: >-
            59bc377497c7ac0cbc1b69c7,6806925756b1f3c37b52440b,6806925e2d542314849ca102
        - name: assessmentIds
          in: query
          description: List of assessment ids separated by comma
          schema:
            type: string
          example: >-
            59bc377497c7ac0cbc1b69c7,6806925756b1f3c37b52440b,6806925e2d542314849ca102
      responses:
        '200':
          description: List of scores and candidates
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ScoreResponseDto'
        '400':
          description: Validation failed
components:
  schemas:
    ScoreResponseDto:
      required:
        - assessmentId
        - assessmentName
        - assessmentStatus
        - candidateId
        - categoryScores
        - completion
        - finished
        - redFlag
        - scoreStatus
        - started
        - totalScore
        - typingSpeed
      type: object
      properties:
        candidateId:
          minLength: 1
          type: string
          description: Candidate id
          example: 59bc377497c7ac0cbc1b69c7
        assessmentId:
          minLength: 1
          type: string
          description: Assessment id
          example: 59bc377497c7ac0cbc1b69c7
        assessmentName:
          minLength: 1
          type: string
          description: Assessment name
          example: Assessment Name
        assessmentStatus:
          $ref: '#/components/schemas/AssessmentStatus'
        scoreStatus:
          $ref: '#/components/schemas/ScoreStatus'
        completion:
          minLength: 1
          type: string
          description: Completion in percentage
          example: '1'
        totalScore:
          minLength: 1
          type: string
          description: Total score in percentage
          example: '35'
        typingSpeed:
          minLength: 1
          type: string
          description: Typing Speed in words per minute
          example: '85'
        categoryScores:
          type: array
          items:
            $ref: '#/components/schemas/CategoryScoreDto'
          description: List of category scores
        redFlag:
          type: boolean
          description: Candidate's proctoring report contains a red flag
          example: true
        started:
          minLength: 1
          type: string
          description: Date time of the beginning of the assessment
          example: '2025-01-17T20:39:25.5810000+00:00'
        finished:
          minLength: 1
          type: string
          description: Date time of the end of the assessment
          example: '2025-01-17T20:39:25.5810000+00:00'
      additionalProperties: false
    AssessmentStatus:
      enum:
        - INVITED
        - IN_PROGRESS
        - COMPLETED
      description: Assessment status
      type: string
      format: ''
    ScoreStatus:
      enum:
        - PENDING
        - LOW_PASS
        - PASS
        - FAIL
      description: Score status
      type: string
      format: ''
    CategoryScoreDto:
      required:
        - name
        - score
      type: object
      properties:
        name:
          minLength: 1
          type: string
          description: Name of the category
          example: Speaking
        score:
          minLength: 1
          type: string
          description: Score in percentage
          example: '25'
      additionalProperties: false
  securitySchemes:
    ApiKey:
      type: apiKey
      description: Api key given by Hiringbranch
      name: X-API-Key
      in: header

````